// View Synthesis
// Dev Enviroment:
//    Windows 7 64bit with Visual Studio 2010 C++ x64
//    OpenCV 2.4.2 64bit
// Original code: View Synthesis Reference Software (VSRS) 3.5
// Designer: Senoh, NiCT, Tokyo. Japan.
// Author: Ohgochi, NiCT, Tokyo. Japan.
// Last Update: Dec6, 2011.

#pragma once

#include <utility>
#include <string>
#include <vector>

#include "ReturnCode.h"


namespace view_synthesis {
  using namespace std;

  class states_codes {
    typedef pair<unsigned int, string> codepair;
    #ifdef WIN32
    codepair code1(BAD_COMAMND_LINE, "Irregular command line options."); 
    codepair code2(BAD_CONFIG_OPTIONS, "Irregular command line options."); 
    vector<codepair> code;
    
    code.pushback(codepair(BAD_COMAMND_LINE, "Irregular command line options."));
    #endif
  };
}
